[Rubygems-developers] [ rubygems-Bugs-28122 ] uninitialized constant Gem::RbConfig when installing rubygems 1.3.6 on Ubuntu dapper (Regression from 1.3.5)

noreply at rubyforge.org noreply at rubyforge.org
Tue Apr 20 18:10:46 EDT 2010


Bugs item #28122, was opened at 2010-04-20 02:16
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28122&group_id=126

Category: RubyGems installer (setup.rb)
Group: v1.3.x
>Status: Closed
>Resolution: Rejected
Priority: 3
Submitted By: Joel Kociolek (fcjoel)
>Assigned to: Eric Hodel (drbrain)
Summary: uninitialized constant Gem::RbConfig when installing rubygems 1.3.6 on Ubuntu dapper (Regression from 1.3.5) 

Initial Comment:
When installing rubygems 1.3.6 on Ubuntu Dapper (6.04 LTS) I get the following error:

# ruby setup.rb
./lib/rubygems.rb:124: uninitialized constant Gem::RbConfig (NameError)
        from setup.rb:24

Rubygems 1.3.5 installs fine

Ruby version on Ubuntu Dapper is 1.8.4

It looks like the same bug as [#16457] that was closed long ago.


----------------------------------------------------------------------

>Comment By: Eric Hodel (drbrain)
Date: 2010-04-20 15:10

Message:
Upgrade to ruby 1.8.6 or newer.

I haven't tested RubyGems on a version older than 1.8.6 in over a year, so I guess I should have made it official earlier.

The next release will require ruby 1.8.6 or newer.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=28122&group_id=126


More information about the Rubygems-developers mailing list